#include<stdio.h>

#include<math.h>
long long k[1000000],N,x,l;
int main(){
	scanf("%lld",&N);
	for(long long j=0;j<N;j++)scanf("%lld",&k[j]);
	for(long long j=0;j<N-1;j++){
		x=k[j];
		l=j;
		for(long long i=j;i<N;i++)if(k[i]>x){
			x=k[i];
			l=i;
		}
		if(x!=k[j]){
			k[l]=k[j];
			k[j]=x;
			j=N;
		}								
	}
	for(long long j=0;j<N;j++)printf("%lld",k[j]);
	return 0;	
}